GNU bug report logs - #24526
iconifying / framesize

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>; merged with #24569; dated Sat, 24 Sep 2016 13:13:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 24526 24569. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24526 <at> debbugs.gnu.org:


Received: (at 24526) by debbugs.gnu.org; 30 Sep 2016 08:33:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 30 04:33:19 2016
Received: from localhost ([127.0.0.1]:39258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bptFv-0007lH-Bw
	for submit <at> debbugs.gnu.org; Fri, 30 Sep 2016 04:33:19 -0400
Received: from mout.gmx.net ([212.227.17.22]:54535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bptFs-0007l3-V5
 for 24526 <at> debbugs.gnu.org; Fri, 30 Sep 2016 04:33:17 -0400
Received: from [192.168.1.100] ([212.95.7.20]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0MEFqW-1bjHYs3Grw-00FWTB;
 Fri, 30 Sep 2016 10:33:10 +0200
Message-ID: <57EE2343.4050408@HIDDEN>
Date: Fri, 30 Sep 2016 10:33:07 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>, 
 24526 <at> debbugs.gnu.org
Subject: Re: bug#24526: iconifying / framesize
References: <2404679.08DogL2IpK@djunix> <1795060.6gHtRCJUOI@djunix>
In-Reply-To: <1795060.6gHtRCJUOI@djunix>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:gMEvictpnV/ewHhMV2Ai58gfdrf4qwx7zDX3Ouswdun0pDxaZoW
 C1tPC6+JKwIz7fRkeKRvtHu2b2xmCZb9qNQbF6EcmJvYMG7L7TdesnFz2TvWwLpeeJ1VGod
 LfpNXioxjiivahT5hG/02uns4A2QBK4kBb+dU/6DPMU1BUyJpmYrV/+fdpIcwOOzl7oJd9y
 6VyK261afJ9J0Z6dHlKMQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:uyp2c7JVthQ=:hxPAODPmIkIqxeQBIKgO0F
 27q73c5hy+tmnqvvMQ1qVZTituAtKQC2Y2r/RmwOXLhUzVGNyHT7C0n+PADg4cwJoFm76kyqd
 9/X1cJ7iEaYUpxXKhlF93sCkJQr6LeOMXMqLKc9UvCezfTfXBYNT+2/XSe0BStYkCCLgqWi36
 CHgB4DTR5OGnqk8+X3SGKmqUENkzG0VIbawwmLkh01PokpKxkjIFQ4X9kdUDwPIO7cFUzUaAU
 8FQkcQ5Az6/CkYV2kpbl8SrS6P0F84daXqjgJobP+Mc8PTykN4CvTviYEbW8n/A493JXJtnlu
 ypRT6lNoyYMgqlR3dwnhveF2dI5gyp5yfb9AuMXoXIZVuOCxCjVxgG2VPQtqbnyHO5cVsCtFi
 x2Jkj53IpqaVtaaef9IN2lJ+o/d7QwcQ6M0jIovNJNrZ92fjXG0O/x/WmcOZxpcdxqfdNvHco
 P7TrAdtZyuAPYii3ttN0mqp5rna1SnS+8VdShq9/4SFfqPvRuWmAQzxbWrc0dYFW70mvYiKKR
 RiFBuvnXkBD9F9EzN5AC7bYQMER61PTu2jw7nAUUGInAzScskVGV/CMXJPcmdl4RFV8v1x/wq
 JGzk86dMwNIxi/TP/gCmPeQpYO1cmDHHJBMrFcwx2k8lcY7Tw2M8zUM+4x8svcj54o0+S7div
 qY0lrYf5C46qGejUXFtJpMWz5p7FdVbz+EZpLQnzn6EsyDUCX09McxM+QsxeDouKGbyetCAu4
 Y7YxlpsOYxjpo3/Cq8lf2J9T+jqYL75OwxsG7ocWY9366o5gxOYRJyZNfHh8EnR4ausnwe3bt
 bM5eHrObDX4wqy5mIIsuXBosSGf+Q==
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > emacs -geometry 135x34+35+20 -iconic > ((outer-position
 35 . 20) (outer-size 1251 . 850) (external-border-size 6 . 6) >
 (title-bar-size
 0 . 31) (menu-bar-external . t) (menu-bar-size 1239 . 29) > (tool-bar-external
 . t) (tool-bar-position . top) (tool-bar-size 1239 . 53) >
 (internal-border-width
 . 0)) > > emacs -Q > ((outer-po((outer-position 0 . 0) (outer-size 761 .
 917) (external-border-size > 6 . 6) (title-bar-size 0 . 31) (menu-bar-external
 . t) (menu-bar-size 749 . > 29) (tool-bar-external . t) (tool-bar-position
 . top) (tool-bar-size 749 . 53) > (internal-border-width . 0)) > > emacs
 -iconic > ((outer-position 35 . 20) (outer-size 756 . 908)
 (external-border-size
 6 . 6) > (title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 744
 . 29) > (tool-bar-external . t) (tool-bar-position . top) (tool-bar-size
 744 . 53) > (internal-border-width . 0)) [...] 
 Content analysis details:   (3.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [212.95.7.20 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.17.22 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.22 listed in wl.mailspike.net]
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.17.22 listed in dnsbl.sorbs.net]
X-Debbugs-Envelope-To: 24526
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 3.3 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > emacs -geometry 135x34+35+20 -iconic > ((outer-position
    35 . 20) (outer-size 1251 . 850) (external-border-size 6 . 6) > (title-bar-size
    0 . 31) (menu-bar-external . t) (menu-bar-size 1239 . 29) > (tool-bar-external
    . t) (tool-bar-position . top) (tool-bar-size 1239 . 53) > (internal-border-width
    . 0)) > > emacs -Q > ((outer-po((outer-position 0 . 0) (outer-size 761 .
   917) (external-border-size > 6 . 6) (title-bar-size 0 . 31) (menu-bar-external
    . t) (menu-bar-size 749 . > 29) (tool-bar-external . t) (tool-bar-position
    . top) (tool-bar-size 749 . 53) > (internal-border-width . 0)) > > emacs
   -iconic > ((outer-position 35 . 20) (outer-size 756 . 908) (external-border-size
    6 . 6) > (title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 744
    . 29) > (tool-bar-external . t) (tool-bar-position . top) (tool-bar-size
   744 . 53) > (internal-border-width . 0)) [...] 
 
 Content analysis details:   (3.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.17.22 listed in list.dnswl.org]
  3.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.20 listed in dnsbl.sorbs.net]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.17.22 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.22 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)

 > emacs -geometry 135x34+35+20 -iconic
 > ((outer-position 35 . 20) (outer-size 1251 . 850) (external-border-size 6 . 6)
 > (title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 1239 . 29)
 > (tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 1239 . 53)
 > (internal-border-width . 0))
 >
 > emacs -Q
 > ((outer-po((outer-position 0 . 0) (outer-size 761 . 917) (external-border-size
 > 6 . 6) (title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 749 .
 > 29) (tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 749 . 53)
 > (internal-border-width . 0))
 >
 > emacs -iconic
 > ((outer-position 35 . 20) (outer-size 756 . 908) (external-border-size 6 . 6)
 > (title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 744 . 29)
 > (tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 744 . 53)
 > (internal-border-width . 0))

Thanks.  Please do the same also for the case that you specify the
geometry in your initial file via

(add-to-list 'default-frame-alist '(width . 135))
(add-to-list 'default-frame-alist '(height . 34))
(add-to-list 'default-frame-alist '(top . 20))
(add-to-list 'default-frame-alist '(left . 35))

for the initial frame and for a frame made via C-x 5 2.

And in all five cases I also need the result of doing

M-: (window--dump-frame)

which you can find in a buffer called *window-frame-dump* after each
invocation (sorry - it's all a a bit tedious).

 > By the way; emacs spits out the following message after start:
 >
 > (emacs:25506): Gtk-WARNING **: Theme directory  of theme oxygen has no size
 > field
 >
 > (emacs:25464): GLib-GObject-WARNING **: The property GtkSettings:gtk-enable-
 > tooltips is deprecated and shouldn't be used anymore. It will be removed in a
 > future version.

If I only knew about these ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24526; Package emacs. Full text available.

Message received at 24526 <at> debbugs.gnu.org:


Received: (at 24526) by debbugs.gnu.org; 29 Sep 2016 18:40:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 14:40:47 2016
Received: from localhost ([127.0.0.1]:38991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpgGF-0006N7-OR
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2016 14:40:47 -0400
Received: from mailout06.t-online.de ([194.25.134.19]:56218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bpgGE-0006Mz-JH
 for 24526 <at> debbugs.gnu.org; Thu, 29 Sep 2016 14:40:47 -0400
Received: from fwd24.aul.t-online.de (fwd24.aul.t-online.de [172.20.26.129])
 by mailout06.t-online.de (Postfix) with SMTP id 5CF6241C9405
 for <24526 <at> debbugs.gnu.org>; Thu, 29 Sep 2016 20:40:44 +0200 (CEST)
Received: from djunix.karlsruhe.edu
 (V8qnamZL8hMBJMkfk1zs-p++Q0jil+M2ZpTR0HLWdE8wqGl8AlhEhk-3zBtpzLyQrL@[79.227.132.175])
 by fwd24.t-online.de
 with (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384 encrypted)
 esmtp id 1bpgGC-084Bxg0; Thu, 29 Sep 2016 20:40:44 +0200
Received: by djunix.karlsruhe.edu (Postfix, from userid 1000)
 id 29113300D74F; Thu, 29 Sep 2016 04:01:58 +0200 (CEST)
From: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>
To: 24526 <at> debbugs.gnu.org
Subject: iconifying / framesize
Date: Thu, 29 Sep 2016 04:01:57 +0200
Message-ID: <1795060.6gHtRCJUOI@djunix>
Organization: privat
User-Agent: KMail/4.14.10 (Linux/4.1.31-30.4-default; KDE/4.14.18; x86_64; ; )
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-ID: V8qnamZL8hMBJMkfk1zs-p++Q0jil+M2ZpTR0HLWdE8wqGl8AlhEhk-3zBtpzLyQrL
X-TOI-MSGID: 76c08288-2ac4-4ef3-8715-74c40de9cfa1
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 24526
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Dear listmembers,
herer are the results as requested by Martin:

emacs -geometry 135x34+35+20 -iconic
((outer-position 35 . 20) (outer-size 1251 . 850) (external-border-size 6 . 6) 
(title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 1239 . 29) 
(tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 1239 . 53) 
(internal-border-width . 0))

emacs -Q
((outer-po((outer-position 0 . 0) (outer-size 761 . 917) (external-border-size 
6 . 6) (title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 749 . 
29) (tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 749 . 53) 
(internal-border-width . 0))

emacs -iconic
((outer-position 35 . 20) (outer-size 756 . 908) (external-border-size 6 . 6) 
(title-bar-size 0 . 31) (menu-bar-external . t) (menu-bar-size 744 . 29) 
(tool-bar-external . t) (tool-bar-position . top) (tool-bar-size 744 . 53) 
(internal-border-width . 0))

operating system: openSUSE leap 42.1 (linux) / KDE. The very same happens on 
openSUSE 13.1 and, without having tested, I am sure with openSUSE 13.2, too.

Thank you for looking into this - and feel free to ask for more information at 
any time.

By the way; emacs spits out the following message after start:

(emacs:25506): Gtk-WARNING **: Theme directory  of theme oxygen has no size 
field

(emacs:25464): GLib-GObject-WARNING **: The property GtkSettings:gtk-enable-
tooltips is deprecated and shouldn't be used anymore. It will be removed in a 
future version.


Take care





Dieter Jurzitza


-- 
-----------------------------------------------------------
Dr.-Ing. Dieter Jurzitza                    76131 Karlsruhe




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24526; Package emacs. Full text available.

Message received at 24526 <at> debbugs.gnu.org:


Received: (at 24526) by debbugs.gnu.org; 28 Sep 2016 06:52:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 02:52:17 2016
Received: from localhost ([127.0.0.1]:37554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bp8j3-00032D-Mk
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 02:52:17 -0400
Received: from mout.gmx.net ([212.227.15.18]:59140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bp8j2-000320-3k
 for 24526 <at> debbugs.gnu.org; Wed, 28 Sep 2016 02:52:16 -0400
Received: from [192.168.1.100] ([212.95.7.42]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0LzskF-1atAmw2x0N-014xeU;
 Wed, 28 Sep 2016 08:52:09 +0200
Message-ID: <57EB688E.4020605@HIDDEN>
Date: Wed, 28 Sep 2016 08:51:58 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>, 
 24526 <at> debbugs.gnu.org
Subject: Re: bug#24526: @ Bug 24526, please find textfile results attached ...
References: <2404679.08DogL2IpK@djunix> <2366663.ybCqYlPy6i@djunix>
In-Reply-To: <2366663.ybCqYlPy6i@djunix>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:Bu+WCsOsuTRDnxKPvCp9Znda086f2r98fBl3yzb5Wt9Paah6ypS
 ObuFI6kblXAQgaozwlX6RVKx72BPusnlEVmbE/fz/81Ub0rXrRqQA6+z6rUP/zPB0h2OVp1
 HNyPE9w/N9uwoLRcQwkPM0pjtlHGrwB6P9PGh4e28UqVxz/HrOBa7YT6oJwleNHoqmwrwYK
 VRhbcdoHKtpAiMs3X9t6g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:6fA32hNaaPA=:jZJNbwd1+DZ3ADMoL2xzn0
 9LSc5dW+FSI/sjg++aa+/82pQAsvSfVfDeCJ8jfAAS67YBHQlyRaLsM27ODPgtBv758TAYdeV
 XCxI2qonKgixnjABGQF++iVldgsVpZV2E1z6ttj2QzDQ1LGluvWWtNHh4TQITE8GTH6lKGqiw
 Bxz5YqZSfC+9MR5mxsQviK0zaP8kludrbr6uWES+/ZeCnhdPfky732TxNXVgY06/IzdXrp2DL
 uJ46uG/hbDTcMvq+/fJ4AvEBTwErGN+Ir2tdHH6X8YI+XatNMJgYdDSsm6A0qLrtT84Ac66y8
 p39YzscpqKTMdSs3W0fl0uR/nff1jXrMiAB9lobr8dSgdrkJALAayk9O+Q0qFLaeq8jeCKOUF
 cMyvhoKg9QmDKc9SL8RQxxa0OJvwIkCb2GFylvXiukkHBYF3MArYU4YfYqCeJuu3PH+jWcrpA
 h5kF/dIBMJ/wZgw9NapWJqkwgNj3VEsJhcccI6oeR2dM5EVR7sA5hYExsujf2OMidm3JpVlLJ
 ZSqiSPW52bw48F5e5zoAKBVnBbgGx+tPoHv6RBsGMxygjxRHDFgyFXhOzfPAaC0/qQz4NuLOf
 mJ7SHpOWczV7WO5iQ3Ck+6XtbL1r6t5fdv67Y5wuuinlQxFW1Hs+bPWR79kzpK5PLiqNOD57y
 OANuA12ww4U98bIt+4w/n19y6mPjGq9POS+hU2XQTJuzjT66gNPGE84nzhuP3P0JkkWiQ7a3O
 Yu1dwyxon8wb9plw8CxFMX5JBOvrRjg42FUiS7cAxRgrLnRMGygfgAfLwC2kWj6j4d/PQtZRN
 I9P1EhUsI4EIOot/x+tt+iylyLsXQ==
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > I tested as suggested - please find the results below,
 thank you for looking > into this: Sorry, using xwininfo is not what I meant.
 Please try to determine the window size from within Emacs. For this purpose
 start Emacs as [...] 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.18 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.18 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 3.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [212.95.7.42 listed in dnsbl.sorbs.net]
X-Debbugs-Envelope-To: 24526
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I tested as suggested - please find the results below,
   thank you for looking > into this: Sorry, using xwininfo is not what I meant.
    Please try to determine the window size from within Emacs. For this purpose
    start Emacs as [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.42 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.18 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.18 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record

 > I tested as suggested - please find the results below, thank you for looking
 > into this:

Sorry, using xwininfo is not what I meant.  Please try to determine the
window size from within Emacs.  For this purpose start Emacs as

emacs -geometry 135x34+35+20 -iconic

and then, within the instance of emacs you started this way, after
deiconifying the frame, do

M-: (frame-geometry)

This should print something like

((outer-position -4 . -4) (outer-size 1688 . 1030) (external-border-size
4 . 4) (title-bar-size 1662 . 19) (menu-bar-external . t) (menu-bar-size
1680 . 19) (tool-bar-external) (tool-bar-position) (tool-bar-size 0 . 0)
(internal-border-width . 0))

in the echo area.  Please copy the string you get there (from the
*Messages* buffer) and post it here.  Then do the same also for

emacs -Q

and

emacs -iconic

that is once for an emacs instance without and once with your .emacs
init file.  For the latter please also do C-x 5 2 and then type

M-: (frame-geometry)

in the new frame you just created and retrieve the results.

And please don't forget to report for which platform your Emacs was
built and which window manager you use.


The reasons for different behaviors we all may see in this context are
too manifold to cite here.  The main reason is that Emacs iconifies the
frame before calculating its desired size and, once it has calculated
that size, doesn't tell the window manager/OS about it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24526; Package emacs. Full text available.

Message received at 24526 <at> debbugs.gnu.org:


Received: (at 24526) by debbugs.gnu.org; 27 Sep 2016 19:23:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 15:23:25 2016
Received: from localhost ([127.0.0.1]:37388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1boxyP-0003Nq-Aa
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2016 15:23:25 -0400
Received: from mailout08.t-online.de ([194.25.134.20]:38109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1boxyO-0003Ni-1Z
 for 24526 <at> debbugs.gnu.org; Tue, 27 Sep 2016 15:23:24 -0400
Received: from fwd00.aul.t-online.de (fwd00.aul.t-online.de [172.20.26.147])
 by mailout08.t-online.de (Postfix) with SMTP id 9B0BD41D24CE
 for <24526 <at> debbugs.gnu.org>; Tue, 27 Sep 2016 21:23:21 +0200 (CEST)
Received: from djunix.karlsruhe.edu
 (Va2gpmZXwhm-Y54EXo4XwHhSOANjrDbuP69Xctbq1vpTxsyi0ww9dPjEe0jpugYZq7@[79.227.169.208])
 by fwd00.t-online.de
 with (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384 encrypted)
 esmtp id 1boxyK-01PRYG0; Tue, 27 Sep 2016 21:23:20 +0200
Received: by djunix.karlsruhe.edu (Postfix, from userid 1000)
 id C67C8300D74F; Tue, 27 Sep 2016 21:22:15 +0200 (CEST)
From: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>
To: 24526 <at> debbugs.gnu.org
Subject: @ Bug 24526, please find textfile results attached ...
Date: Tue, 27 Sep 2016 21:22:15 +0200
Message-ID: <2366663.ybCqYlPy6i@djunix>
Organization: privat
User-Agent: KMail/4.14.10 (Linux/4.1.31-30.4-default; KDE/4.14.18; x86_64; ; )
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-ID: Va2gpmZXwhm-Y54EXo4XwHhSOANjrDbuP69Xctbq1vpTxsyi0ww9dPjEe0jpugYZq7
X-TOI-MSGID: c5cfccb9-472a-463a-9774-1a346bc6c52d
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 24526
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Dear listmembers,
dear Mr. Rudalics,
I tested as suggested - please find the results below, thank you for looking 
into this:

fred@djunix:~> cat info-emacs
*******************************************************************************
fred@djunix:~/Downloads> emacs -Q &
(emacs:5488): Gtk-WARNING **: Theme directory  of theme oxygen has no size 
field
fred@djunix:~/Downloads> xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x360011f "emacs@djunix"

  Absolute upper-left X:  6
  Absolute upper-left Y:  275
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 749
  Height: 874
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x360011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +6+275  -845+275  -845-51  +6-51
  -geometry 79x35+0-45
*******************************************************************************

fred@djunix:~/Downloads> emacs -Q -iconic &
fred@djunix:~/Downloads> xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x360011f "emacs@djunix"

  Absolute upper-left X:  6
  Absolute upper-left Y:  275
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 749
  Height: 874
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x360011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +6+275  -845+275  -845-51  +6-51
  -geometry 79x35+0-45

*******************************************************************************
fred@djunix:~> emacs -iconic &
fred@djunix:~> xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x360011f "emacs@djunix"

  Absolute upper-left X:  41
  Absolute upper-left Y:  57
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 744
  Height: 865
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x360011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +41+57  -815+57  -815-278  +41-278
  -geometry 64x26+35+20

*******************************************************************************
Ok, I hopefully understood you right:
- start emacs -iconic &
- uniconify emacs
- start a new frame with C-x 5 2
- determine the size of *this* newly generated frame with xwininfo

fred@djunix:~> emacs -iconic &
fred@djunix:~> xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x36003e5 "*GNU Emacs*"

  Absolute upper-left X:  41
  Absolute upper-left Y:  57
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1514
  Height: 1068
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x360011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +41+57  -45+57  -45-75  +41-75
  -geometry 134x33+35+20

*******************************************************************************

Thanks again,
take care






Dieter Jurzitza


-- 
-----------------------------------------------------------
Dr.-Ing. Dieter Jurzitza                    76131 Karlsruhe




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24526; Package emacs. Full text available.

Message received at 24526 <at> debbugs.gnu.org:


Received: (at 24526) by debbugs.gnu.org; 27 Sep 2016 07:10:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 03:10:21 2016
Received: from localhost ([127.0.0.1]:36880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bomWz-0000ja-34
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2016 03:10:21 -0400
Received: from mout.gmx.net ([212.227.15.19]:50595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bomWx-0000jO-Bi
 for 24526 <at> debbugs.gnu.org; Tue, 27 Sep 2016 03:10:19 -0400
Received: from [192.168.1.100] ([212.95.7.89]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0M5Lqx-1b1Bwg1rKx-00zVhv;
 Tue, 27 Sep 2016 09:10:13 +0200
Message-ID: <57EA1B4D.1000203@HIDDEN>
Date: Tue, 27 Sep 2016 09:10:05 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>, 
 24526 <at> debbugs.gnu.org
Subject: Re: bug#24526: iconify / geometry
References: <2404679.08DogL2IpK@djunix> <37821149.ecOJEZikFG@djunix>
In-Reply-To: <37821149.ecOJEZikFG@djunix>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:0HEV6dXwW3/B/Vt2ZOBsgCB5DwFGvMSMgg+ROHevDi3KmEq7Sgw
 MAvR8HFc5zf9+0VJd4WBWwQ3Dai/VoCchVvXAeZZ2VrXE2ej5Dx7d01nkmBCNTErlL9Tzb/
 AqyoxDfF5rqKKdfN1YdzMPhvjC47eZxlIaqD5EXdRq6mkkr0ninTQ1E/ybddrqBNF3q2e3m
 CcXTyPRDEY008SgFQoVcg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:i/sZ9wersRo=:kFi0Hke1cxgtQAikcjYyDD
 YKK+xD2CRVQ1uoGOLaFrZqroqyQak3Sd9TYc+E0Vj7Botzjy4I6F3mQgVXn4iXtD6YrlNiG54
 46ybIvLijs+nHR9EtfvPLPhF5XlU3qWfwa4bVpOiNAZmASyjDw6A9vSCK1PUPb+K3rmt5R0ew
 StGPcE3vwZLUh8vC91KIf6zGaDfC8i2HVrr4Y9fv+R4xiQ99slyYMrLzkOwELhFvJHmwAHW/d
 qd825ArkwbxaL7b8qB4xSFe28S49C6WeUb1R2jNdSOi6u5d/qtnjedirFdk0vcKRImFk3otC6
 c8A0htL28D9PYFBsnjCf7dM5myR6gfrHaVwHUVOKgCH8AlCrdwJPh/dTKYcWwYRy0KA0smLOl
 42Xc0wvb+UsQlYMy6h+5YA8gRDAZd/+ZF07fPKltgqHJ4O/SQ8t5B3ClA7jF4TltnA6C0FhLQ
 I9/AI4r/u541zNx4IQfeRTSThsxNDGUt3bVagVrNRBK3E1cNGJNr/9j6NMuXhjz+Hw12f1cBz
 +n6c47srljB+3xSmmGPBhaSwsUQfMnFD6ufc9xZA/BPfk5f7AeKR4Mw/slJoPaganl81f1ql/
 mXrKN7w+GhocMRC63gvLR2ZWSaXPw9BBegC0IBsK+ib1ycUSn/wjrAdIotphqZ6FFSxl1bMkw
 diVbFsB8LqdJmQvqA1VPKKM2rr6YbasC6XBjJwUNbPKOnPDYyzlXD/OIySdu/lBckFDUtJpUi
 vK9N2Z5OGSAb90TsT7pkBwmzH7W7ecwfuv6nMjpdGvG3Fy3TwTHyjyJirKLYKv7bUVj3W2gO3
 d9K98LLrs5fGuH5InJTNICN/7/anA==
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > I elaborated a little further on this topic. Say, I was
 to start emacs (25.1) > with > > emacs -geometry 135x34+35+20 -iconic > >
 xwininfo tells me: [...] > Corners: +41+57 -320+57 -320-336 +41-336 [...]
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.19 listed in list.dnswl.org]
 3.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [212.95.7.89 listed in dnsbl.sorbs.net]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.19 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 24526
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I elaborated a little further on this topic. Say, I was
    to start emacs (25.1) > with > > emacs -geometry 135x34+35+20 -iconic > >
    xwininfo tells me: [...] > Corners: +41+57 -320+57 -320-336 +41-336 [...]
    
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.19 listed in list.dnswl.org]
  3.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.89 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.19 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record

 > I elaborated a little further on this topic. Say, I was to start emacs=
 (25.1)
 > with
 >
 > emacs -geometry 135x34+35+20 -iconic
 >
 > xwininfo tells me:
[...]
 >    Corners:  +41+57  -320+57  -320-336  +41-336

What do these corner values mean?

 >    -geometry 109x24+35+20
 >
 > after "uniconifying" the frame. Leaving "-iconic" away, things come ou=
t as
 > expected. I have no idea how 109x24 would correlate with 135x34.

Neither do I.  Please tell me what =E2=80=98frame-geometry=E2=80=99 tells=
 about this
frame.  Maybe it's relaed to the frame's default font size.

The surprising thing about this is that here on Windows the -geometry
option is processed as expected.  So this looks like a good place to
start investigating this on Windows.  Can anyone on GNU/Linux try with
Dieter's options, that is

emacs -geometry 135x34+35+20 -iconic

and report here _if they work_ as expected?

Thanks, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24526; Package emacs. Full text available.

Message received at 24526 <at> debbugs.gnu.org:


Received: (at 24526) by debbugs.gnu.org; 27 Sep 2016 07:07:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 03:07:46 2016
Received: from localhost ([127.0.0.1]:36876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bomUU-0000fg-Mo
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2016 03:07:46 -0400
Received: from mout.gmx.net ([212.227.15.19]:61272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bomUT-0000fT-0b
 for 24526 <at> debbugs.gnu.org; Tue, 27 Sep 2016 03:07:45 -0400
Received: from [192.168.1.100] ([212.95.7.89]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0Lck9X-1b7mco3Pt9-00k7oA;
 Tue, 27 Sep 2016 09:07:37 +0200
Message-ID: <57EA1AB1.2090707@HIDDEN>
Date: Tue, 27 Sep 2016 09:07:29 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>, 
 24526 <at> debbugs.gnu.org
Subject: Re: bug#24526: iconifying / framesize
References: <2404679.08DogL2IpK@djunix>
In-Reply-To: <2404679.08DogL2IpK@djunix>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:bbSIIRqkkSDTeX1BSg6Tv0BTZM20M7XvQmlfwBzkTNQnMVpQ4cu
 fID+1+6Bajl8dyn4j0vNKJsWCemGB8XTrVGjwso5d0Nt9Cc0jQ+ZzGmhAzRkord4AyXrq2k
 xUF8exxOnFBNwdEDlf3jTvb8U+sS0YQC1X1RZVn2v5B/bsl5myj8bZblQHRK0xCiqBPl2oH
 0W3z++FMm9VVF6CkHtXpA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:KcVr19KA5Hs=:IpDVikrck3DjmLz9LC8P2Z
 yo4yzjlc5i38j7KkBcsayUuLmzRdQgicMYDnZxOejR4wTEADTg1Fen4ZKNDFKMD/gkxTj8dxo
 VFe9e7phsJd3tMwaG8h+BsY5afxUZVcVc3n/yEaUuQvCXuHz1NqFPOtHbX4CvAwQqae+FDVIa
 ibXH/Arct7EaPvNh6SOwDCgtoyk9cC2Hl102GG4g4GYBo9ItH9DhcnrYhtx7Y6xu1MztWGacG
 SzTT2GWTjK98yZf9rkfl1dMglB3u/ZD/sm6GzyhjSAack++CA+PmbRyd5P4XBYnvO3ixWbqNg
 iHYb+OaN2mesrpmElwAtHRBhKr/Y445FTXK1v6LkPLfUVtpMZoSyl+aRO2wEgWZZ/f1Rf7h8N
 b6QzkRoc8N1Y+VWeS2/CmfG81bYBC14oqGDFodezDRE+jlH6a45BzUj5BKNydK0KpSrYx+QEM
 nYT18lfcIC3HY4r/Vb72vYixgTTNOfltc2u9csN6fqouOfdYv6gsO5peefXje5WAy8U0JgKQ5
 Tp3/RoiFq7URa4Tdc9fSjCdUW/zJeIU+0kwFKLbJOTru4Aht7fdmiOQFbeMoVm/kX68bzEN/v
 RClYvGvOn89dPEVxmupxMnZMlM9j17Y4WAP+FC95XmuVTq6Oe/M58sOHPZVvZwt6LvdhCxoPk
 5fLEwI4MVqlR12qUiXi/O1UJd8REdYCThiOdvrPaRkrm7CnF4mr7OydEWKAUl6MzsHQcdLE8Q
 5yQ8+bPJvzF2bbpBoSt5E67EYv7tMXzisL4FmUBaUdc4GnaZZm6d3k0Nv/7Qg1z7pr+K2lPgJ
 S49Yim4FZWWCAJRYgRam0mVt/zc3g==
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > I installed the released version of emacs-25.1 today.
 Thereby
 I can observe > differences in framesize between > > emacs -iconic > > and
 > > emacs > > both called from within an xterm. I configured the size of
 the frame in my > ".emacs" - file. Starting xwininfo and deiconifying emacs
 that had had been > started with "emacs -iconic" results in: [...] > -geometry
 64x26+35+20 > > In contrast, when simply triggering "emacs" not being iconic, 
 I get > fred@djunix:~/rpmbuild/RPMS/x86_64> xwininfo [...] > -geometry
 134x33+35+20
 > > The last lines from "-geometry" are very close to my settings from within
 > .emacs: > > (add-to-list 'default-frame-alist '(width . 135)) > (add-to-list
 'default-frame-alist '(height . 34)) > (add-to-list 'default-frame-alist
 '(top . 20)) > (add-to-list 'default-frame-alist '(left . 35)) > > though
 the x- and y- size parameters are off by "1" this is no problem. [...] 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [212.95.7.89 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.19 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.19 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 24526
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I installed the released version of emacs-25.1 today. Thereby
    I can observe > differences in framesize between > > emacs -iconic > > and
    > > emacs > > both called from within an xterm. I configured the size of
   the frame in my > ".emacs" - file. Starting xwininfo and deiconifying emacs
    that had had been > started with "emacs -iconic" results in: [...] > -geometry
    64x26+35+20 > > In contrast, when simply triggering "emacs" not being iconic,
    I get > fred@djunix:~/rpmbuild/RPMS/x86_64> xwininfo [...] > -geometry 134x33+35+20
    > > The last lines from "-geometry" are very close to my settings from within
    > .emacs: > > (add-to-list 'default-frame-alist '(width . 135)) > (add-to-list
    'default-frame-alist '(height . 34)) > (add-to-list 'default-frame-alist
   '(top . 20)) > (add-to-list 'default-frame-alist '(left . 35)) > > though
   the x- and y- size parameters are off by "1" this is no problem. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.19 listed in list.dnswl.org]
  3.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [212.95.7.89 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.19 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record

 > I installed the released version of emacs-25.1 today. Thereby I can ob=
serve
 > differences in framesize between
 >
 > emacs -iconic
 >
 > and
 >
 > emacs
 >
 > both called from within an xterm. I configured the size of the frame i=
n my
 > ".emacs" - file. Starting xwininfo and deiconifying emacs that had had=
 been
 > started with "emacs -iconic" results in:
[...]
 >    -geometry 64x26+35+20
 >
 > In contrast, when simply triggering "emacs" not being iconic, I get
 > fred@djunix:~/rpmbuild/RPMS/x86_64> xwininfo
[...]
 >    -geometry 134x33+35+20
 >
 > The last lines from "-geometry" are very close to my settings from wit=
hin
 > .emacs:
 >
 > (add-to-list 'default-frame-alist '(width . 135))
 > (add-to-list 'default-frame-alist '(height . 34))
 > (add-to-list 'default-frame-alist '(top . 20))
 > (add-to-list 'default-frame-alist '(left . 35))
 >
 > though the x- and y- size parameters are off by "1" this is no problem=
=2E

We should investigate this off-by-one issue separately.

In any case, what does evaluating (frame-geometry) return for the five
cases:

(1) emacs -Q

(2) emacs -Q -iconic

(3) emacs with your .emacs

(4) emacs -iconic with your .emacs

(5) emacs -iconic with your .emacs for the new frame after C-x 5 2

Maybe you could also try replacing =E2=80=98default-frame-alist=E2=80=99 =
with
=E2=80=98initial-frame-alist=E2=80=99 but I doubt that would change anyth=
ing.

 > However, the fact that the iconified emacs comes up with
 > -geometry 64x26+35+20 points me to the fact that the x- and y- size pa=
rameters
 > are not processed apropriately.

I suppose so.  I tried with your =E2=80=98default-frame-alist=E2=80=99 se=
ttings in
=2Eemacs on Windows and can reproduce it with versions up from Emacs 21.
So apparently this never worked here.  Do you incidentally have an older
version of Emacs where this works correctly?  Which OS and window
manager do you use?

Thanks, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24526; Package emacs. Full text available.

Message received at 24526 <at> debbugs.gnu.org:


Received: (at 24526) by debbugs.gnu.org; 26 Sep 2016 19:46:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 26 15:46:57 2016
Received: from localhost ([127.0.0.1]:36676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bobrd-0001hI-9J
	for submit <at> debbugs.gnu.org; Mon, 26 Sep 2016 15:46:57 -0400
Received: from mailout05.t-online.de ([194.25.134.82]:51025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bobrb-0001h9-8J
 for 24526 <at> debbugs.gnu.org; Mon, 26 Sep 2016 15:46:55 -0400
Received: from fwd02.aul.t-online.de (fwd02.aul.t-online.de [172.20.26.148])
 by mailout05.t-online.de (Postfix) with SMTP id AB738423A8A8
 for <24526 <at> debbugs.gnu.org>; Mon, 26 Sep 2016 21:46:53 +0200 (CEST)
Received: from djunix.karlsruhe.edu
 (EIvHYTZrwhAFp0pBUA2Sv3Y6dlORvM59-S4LH5VqiKI1hggHaxsj33NgMU70dv+gD8@[79.227.180.62])
 by fwd02.t-online.de
 with (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384 encrypted)
 esmtp id 1bobrR-2qqe8G0; Mon, 26 Sep 2016 21:46:45 +0200
Received: by djunix.karlsruhe.edu (Postfix, from userid 1000)
 id 8BCC9300D74F; Mon, 26 Sep 2016 19:58:37 +0200 (CEST)
From: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>
To: 24526 <at> debbugs.gnu.org
Subject: iconify / geometry
Date: Mon, 26 Sep 2016 19:58:37 +0200
Message-ID: <37821149.ecOJEZikFG@djunix>
Organization: privat
User-Agent: KMail/4.14.10 (Linux/4.1.31-30.4-default; KDE/4.14.18; x86_64; ; )
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-ID: EIvHYTZrwhAFp0pBUA2Sv3Y6dlORvM59-S4LH5VqiKI1hggHaxsj33NgMU70dv+gD8
X-TOI-MSGID: 00a56362-435f-4836-8265-2da772c1b987
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 24526
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

Dear Listmebers,
I elaborated a little further on this topic. Say, I was to start emacs (25.1) 
with

emacs -geometry 135x34+35+20 -iconic

xwininfo tells me:

fred@djunix:~> xwininfo 

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x420011f "emacs@djunix"

  Absolute upper-left X:  41
  Absolute upper-left Y:  57
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1239
  Height: 807
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x420011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +41+57  -320+57  -320-336  +41-336
  -geometry 109x24+35+20

after "uniconifying" the frame. Leaving "-iconic" away, things come out as 
expected. I have no idea how 109x24 would correlate with 135x34.

I know this is a minor issue, however, if someone finds the time to look into 
it, I wanted to share my findings.
Thank you very much,
take care




Dieter Jurzitza

-- 
-----------------------------------------------------------
Dr.-Ing. Dieter Jurzitza                    76131 Karlsruhe




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24526; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2016 13:12:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 09:12:16 2016
Received: from localhost ([127.0.0.1]:34002 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnmka-0006rN-64
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 09:12:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bniy3-00061a-8p
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 05:09:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bnixw-0006OR-VF
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 05:09:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,RCVD_IN_SORBS_SPAM,
 T_HK_NAME_DR autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44778)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bnixw-0006Mn-SE
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 05:09:48 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57478)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bnixu-00010t-MF
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 05:09:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bnixq-0006I2-CL
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 05:09:45 -0400
Received: from mailout10.t-online.de ([194.25.134.21]:44792)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dieter.jurzitza@HIDDEN>) id 1bnixq-0006Gd-54
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 05:09:42 -0400
Received: from fwd32.aul.t-online.de (fwd32.aul.t-online.de [172.20.26.144])
 by mailout10.t-online.de (Postfix) with SMTP id B6CC541E65B3
 for <bug-gnu-emacs@HIDDEN>; Sat, 24 Sep 2016 11:09:39 +0200 (CEST)
Received: from djunix.karlsruhe.edu
 (SUogavZ-gheq-MJ1wrdN+7ySZuh4w-pe-6j2FIkZNH8GdrTsgTOaEsk79nIJfeVwsB@[79.227.183.148])
 by fwd32.t-online.de
 with (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384 encrypted)
 esmtp id 1bnixj-0xuSdk0; Sat, 24 Sep 2016 11:09:35 +0200
Received: by djunix.karlsruhe.edu (Postfix, from userid 1000)
 id 6ACDD300D74F; Sat, 24 Sep 2016 11:08:52 +0200 (CEST)
From: "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: iconifying / framesize
Date: Sat, 24 Sep 2016 11:08:52 +0200
Message-ID: <2404679.08DogL2IpK@djunix>
Organization: privat
User-Agent: KMail/4.14.10 (Linux/4.1.31-30.4-default; KDE/4.14.18; x86_64; ; )
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-ID: SUogavZ-gheq-MJ1wrdN+7ySZuh4w-pe-6j2FIkZNH8GdrTsgTOaEsk79nIJfeVwsB
X-TOI-MSGID: 7c82ff86-fb24-4b16-a3d7-94c0fe30b167
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 24 Sep 2016 09:12:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

Dear listmembers,
I installed the released version of emacs-25.1 today. Thereby I can observe 
differences in framesize between

emacs -iconic

and 

emacs

both called from within an xterm. I configured the size of the frame in my 
".emacs" - file. Starting xwininfo and deiconifying emacs that had had been 
started with "emacs -iconic" results in:

fred@djunix:~/rpmbuild/RPMS/x86_64> xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x340011f "emacs@djunix"

  Absolute upper-left X:  41
  Absolute upper-left Y:  57
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 744
  Height: 865
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x340011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +41+57  -815+57  -815-278  +41-278
  -geometry 64x26+35+20

In contrast, when simply triggering "emacs" not being iconic, I get
fred@djunix:~/rpmbuild/RPMS/x86_64> xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x340011f "emacs@djunix"

  Absolute upper-left X:  41
  Absolute upper-left Y:  57
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1514
  Height: 1068
  Depth: 24
  Visual: 0x25
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x340011e (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +41+57  -45+57  -45-75  +41-75
  -geometry 134x33+35+20

The last lines from "-geometry" are very close to my settings from within 
.emacs:

(add-to-list 'default-frame-alist '(width . 135))
(add-to-list 'default-frame-alist '(height . 34))
(add-to-list 'default-frame-alist '(top . 20))
(add-to-list 'default-frame-alist '(left . 35))

though the x- and y- size parameters are off by "1" this is no problem. 
However, the fact that the iconified emacs comes up with 
-geometry 64x26+35+20 points me to the fact that the x- and y- size parameters 
are not processed apropriately.

Many thanks for looking into this,
take care




Dieter Jurzitza


-- 
-----------------------------------------------------------
Dr.-Ing. Dieter Jurzitza                          Karlsruhe




Acknowledgement sent to "Dr.-Ing. Dieter Jurzitza" <dieter.jurzitza@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24526; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 30 Sep 2016 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.